### Blackjack Sofia, The Call of Duty focused TNH Character!


![animated1](https://i.imgur.com/IQ2THUu.gif)

The spinoff of SirPotatoes' Sci-Fi Sofia, its main appeal is on the fictional firearms of the Call of Duty series. 

![animated2](https://i.imgur.com/xPpoack.gif)

What was once a bonus for those that downloaded the supplementary pack during the Space Race Advent Calendar, this is the release debut of Blackjack Sofia! The name is a reference to Blackjack from the BO3/BO4 series, contraband is the name of the game, and you earn plenty tokens to find stronger, and sometimes more exotic loot to use against waves of enemies.

![animated3](https://i.imgur.com/i6gRYjJ.gif)

Listed in the dependencies is the weapons, maps, and QoL stuff that will bring you my vision of the character with the mods available. It is up to you, if you want a dedicated profile that hones in on these COD weapons, just download this character by itself, or, if you want a crazy sci-fi themed experience, go ahead and start expanding it! A good place to start is either with [SirPotatoes' Sci-Fi Weapons Pack](https://h3vr.thunderstore.io/package/sirpotatos/SciFiWeaponsPack/) or [Billiam's Weapons of the Future Pack](https://h3vr.thunderstore.io/package/Billiam_J_McGoonigan/Guns_of_the_Future/)

---

### Gameplay

Taking the foundation of Sci-Fi Sofia, the gameplay is given a bit of added spice. Sosigs are going to SPRINT! Their faster movement will help bring the action faster during hold sequences, and during Take sequences, patrols will encounter you more frequently.

The droids, on the other hand, will remain slow and sluggish, but don't be fooled, they can tank a lot of bullets, even of intermediate calibers. Unless you disarm them or get the upper hand by being behind them, they can prove to be a nuisance by themselves if taken lightly.

Mixing it up even further, there are sosig combines ("uncivil erections" as the game calls them) and plenty of Meathacks that come from these grunts. Middle of the road, wearing armor but moving slower than the sprinting sosig soldiers, ignoring them will summon more meathacks, so be sure to take these suckers out ASAP!

With each hold layer accomplished, the mix of these characters grows more dense. Things can grow out of preportion, the difficulty is there for sure! The QoL tweaks and the loot token drop rate increase is there to help you prepare for that quicker! This level of chaos is inspired by GunLovers' TNH Character "STRAFESCRAPPER", but this TNH Character barely reaches that height of insanity.

The encryptions, following my love for Classic Loadout Louis, as well as my involvement in PTNHBGML, are classic standard. From Static to Regen, all the possible encryptions can be found in the hold sequences.

---

### Buy Stations

During the Space Race event, people who tried this character were able to try out new weapons early. Now that the weapons are out, there are needed changes to the buy stations. These stations were limited, but now, they are unlocked.

All five selections are available. We have the usual three slots in the middle. The powerups, the attachments, and the category specific loot pools. But now, the fourth and fifth slots have new options. 


![banner](https://i.imgur.com/xMBLmYI.png)

The fourth slot, the left most, is a loot roll based on what game it came from. BO3, BO4, and IW are the available options. 

![crypto](https://i.imgur.com/a3bVLmY.png)

The fifth slot, the right most, is a "giveaway freebie" item that only appears before the second and fourth holds. This is a case drop that opens up to a wider variety of items. The more sci-fi weapons you have, the more powerful this option becomes.

Its compelling to learn where your weapons are by memory, as swapping from one exotic gun to another, the smoother you are in doing this, the more immersed you will be in the character. This, I learned, from STRAFESCRAPPER.

A huge majority of the COD guns you will roll with this character will come engagement ready, with no need for further attachments. However, a lot of the irons will give you a poor acquisition. Running attachments isn't too far fetched, especially if you got plenty of tokens to spare. Attachments will have a reduced cost to them, for a lot of weapons to roll means a lot of weapons to kit out.

Lastly, the powerup sausage selection has been reduced down to only recovery. The cost, of equal terms, has been reduced as well. The powerup sausages that help you avoid conflict or cheat the holds, they won't be found here. This is about focus and aggression, strike before they can strike you down.

---

### Credits

Thank you SirPotatoes for allowing me to remix your TNH character! For anyone curious about the source material, his Sci-Fi Sofia comes included as a dependency for this character!

Thank you Tiktokfamous for adjusting your meta data for your BO3 weapon roster. It helps a lot in making sure they spawn properly within this TNH Character!

Thank you Yung, Kuromi, and Kirloper for helping me gather the assets for the weapons featured with this character. A lot of nostalgia, a lot of satisfaction, in bringing these guns to life!

---

### Updates

V1.0.0 -- Launch Version. Changes from the Space Race version:

- Added COD-Game Centric Lootpools, BO3, BO4, and IW. Special Hint: The Loot pools before completing the second hold are different from the ones afterwards, with no change in price. Don't be discouraged by the first few rolls.

- Added Contraband Lootpools, the giveaway pools that exist only after the first hold and third hold. Because of this, only one equipment pool location will spawn during these rounds.

- Decreased Cost of Attachments and Healing items. Powerup Sausages removed.

- Starting weapon no longer just the MR6. A variety can spawn in, from revolvers to low capacity shotguns, all COD game based ofc. The Tomahawk remains as the dedicated melee weapon.

- Various tweaks to late game sosigs, droids, and meathacks / uncivil erection enemies.

V1.0.1 -- Fixed Images. Contraband Lootpools changed. Cheap, random, uses cases, broader scale of loot.

V1.0.2 -- Blacklisting the Secondary Magazine from the DBSR and the Widowmaker, as well as HE rounds from the B600, specifically since I had them spawn with the Annihilator and they suck eggs.

I'm sorry for everyone who's witnessed the DBSR spawn with the wrong magazine. Magazine Patcher triumps over the base game lootpool system and since the Secondary Magazine uses the same magtype, it will spawn with the gun, even if 0 Sple is turned off with the secondary magazine OID. I'm lowkey mad that I let this slide for so long.

Added the Stainless variant of the Mozu to the starting spawn pool. Expect more starting pool loot soon, specifically the unlockable variety!

V1.0.3 -- Zweihander LMG added to BO4 Lootpool. Removed auto pools for melee weapons (no more doom sword).

V1.1.0 -- An Introduction to Unlockable Contraband!

This update spicens things up a little bit by having exclusive unlockables! There are only six unlockables currently, and you can only find them in the start of a Blackjack Sofia game! The Contraband is found in their own exclusive item spawner entry! (Firearms --> Contraband)

Good luck!

Also adds the Suppressed Marshall 12 to the starting lootpool.

V1.1.2 -- Readme restoration

TNHT V1.6.9 does not work with this character, downgrade it to V1.6.7

Adds the Karma-45 Dualbore to IW pools, will retroactively add it to the IW Modpack 